/ lang / stopevent
STOP EVENT
Syntax

    STOP EVENT

This statement must be used in an event handler. It tells the interpreter that the event that called the event handler must be cancelled.

| Only a few events can be cancelled. This is primarily intended to allow you to supersede default keyboard and mouse behavior with your own.

### Examples

    ' My text box only accepts digits

    PUBLIC SUB MyTextBox_KeyPress()

      IF Instr("0123456789", Key.Text) = 0 THEN
        STOP EVENT
      ENDIF

    END SUB

### See also

Event Management